import 'package:IQ/app/modules/about/about_view.dart';
import 'package:IQ/app/modules/about/bindings/about_binding.dart';
import 'package:IQ/app/modules/splash/splash.dart';
import 'package:get/get.dart';
import 'package:IQ/app/modules/fillCard/bindings/fill_card_binding.dart';
import 'package:IQ/app/modules/fillCard/views/fill_card_view.dart';
import 'package:IQ/app/modules/wifi_test/bindings/wifi_test_binding.dart';
import 'package:IQ/app/modules/wifi_test/views/wifi_test_view.dart';

import '../modules/LiveData/bindings/live_data_binding.dart';
import '../modules/LiveData/views/live_data_view.dart';
import '../modules/contact_us/bindings/contact_us_binding.dart';
import '../modules/contact_us/views/contact_us_view.dart';
import '../modules/autologin/bindings/autologin_binding.dart';
import '../modules/autologin/views/autologin_view.dart';
import '../modules/availablePackages/bindings/available_packages_binding.dart';
import '../modules/availablePackages/views/available_packages_view.dart';
import '../modules/dataUsage/bindings/data_usage_binding.dart';
import '../modules/dataUsage/views/data_usage_view.dart';
import '../modules/drawerSide/bindings/drawer_side_binding.dart';
import '../modules/drawerSide/views/drawer_side_view.dart';
import '../modules/home/bindings/home_binding.dart';
import '../modules/home/views/home_view.dart';
import '../modules/login/bindings/login_binding.dart';
import '../modules/login/views/login_view.dart';
import '../modules/new_ticket/bindings/new_ticket_binding.dart';
import '../modules/new_ticket/views/new_ticket_view.dart';
import '../modules/notificationsScreen/bindings/notifications_screen_binding.dart';
import '../modules/notificationsScreen/views/notifications_screen_view.dart';
import '../modules/selectISP/bindings/select_isp_binding.dart';
import '../modules/selectISP/views/select_isp_view.dart';
import '../modules/single_ticket/bindings/single_ticket_binding.dart';
import '../modules/single_ticket/views/single_ticket_view.dart';
import '../modules/support/bindings/support_binding.dart';
import '../modules/support/views/support_view.dart';

// ignore_for_file: constant_identifier_names

part 'app_routes.dart';

class AppPages {
  AppPages._();

  static const INITIAL = Routes.SELECT_I_S_P;

  static final routes = [
    GetPage(
      name: _Paths.HOME,
      page: () => HomeView(),
      binding: HomeBinding(),
    ),
    GetPage(
      name: _Paths.LOGIN,
      page: () => LoginView(),
      binding: LoginBinding(),
    ),
    GetPage(
      name: _Paths.SELECT_I_S_P,
      page: () => const SelectISPView(),
      binding: SelectISPBinding(),
    ),
    GetPage(
      name: _Paths.AUTOLOGIN,
      page: () => const AutologinView(),
      binding: AutologinBinding(),
    ),
    GetPage(
      name: _Paths.DRAWER_SIDE,
      page: () => const DrawerSideView(),
      binding: DrawerSideBinding(),
    ),
    GetPage(
      name: _Paths.DATA_USAGE,
      page: () => const DataUsageView(),
      binding: DataUsageBinding(),
    ),
    GetPage(
      name: _Paths.AVAILABLE_PACKAGES,
      page: () => AvailablePackagesView(),
      binding: AvailablePackagesBinding(),
    ),
    GetPage(
      name: _Paths.CONTACT_US,
      page: () => ContactUsView(),
      binding: ContactUsBinding(),
    ),
    GetPage(
      name: _Paths.NOTIFICATIONS_SCREEN,
      page: () => NotificationsScreenView(),
      binding: NotificationsScreenBinding(),
    ),
    GetPage(
      name: _Paths.LIVE_DATA,
      page: () => const LiveDataView(),
      binding: LiveDataBinding(),
    ),
    GetPage(
      name: _Paths.SUPPORT,
      page: () => SupportView(),
      binding: SupportBinding(),
    ),
    GetPage(
      name: _Paths.NEW_TICKET,
      page: () => NewTicketView(),
      binding: NewTicketBinding(),
    ),
    GetPage(
      name: _Paths.SINGLE_TICKET,
      page: () => SingleTicketView(),
      binding: SingleTicketBinding(),
    ),
    GetPage(
      name: _Paths.FILL_CARD,
      page: () => FillCardView(),
      binding: FillCardBinding(),
    ),
    GetPage(
      name: _Paths.WIFI_TEST,
      page: () => WifiTestView(),
      binding: WifiTestBinding(),
    ),
    GetPage(
      name: _Paths.ABOUT,
      page: () => AboutView(),
      binding: AboutBinding(),
    ),
    GetPage(
      name: _Paths.SPLASH,
      page: () => const SplashScreen(),
      binding: AboutBinding(),
    ),
  ];
}
